0
votes
1answer
5k views

How do I install Capistrano?

I'm struggling here with no success in order to install capistrano on my Ubuntu dev machine. Here is the list of commands issued: 1) sudo apt-get update 2) sudo apt-get install build-essential ...
4
votes
1answer
5k views

Can't get “gem” command to work - Why?

Ubuntu 10.10 here. On the command line, I'm trying to do: gem install railsless-deploy I get this message: The program 'gem' can be found in the following packages: * rubygems1.8 * ...
1
vote
1answer
365 views

Installed Ruby 1.9.2 but new gems won't create scripts into /usr/bin

I had previously ruby 1.8 on my Ubuntu 10.10, which I removed through Synaptics. Then I have installed ruby 1.9.1 also via Synaptics (which is then saying that itself is version 1.9.2). Then I ...
5
votes
1answer
540 views

Why is Ruby version 1.9.2 named ruby1.9.1?

Or in another words, why isn't there a separate ruby-1.9.2 package? Source info: http://packages.ubuntu.com/maverick/ruby1.9.1
4
votes
3answers
5k views

Installing RubyGems 1.9.1

I have successfully installed ruby1.9.1 but after downloading the .tgz archive offered here and doing sudo ruby1.9.1 setup.rb I get this: /home/elliot/Downloads/rubygems-1.4.1 ...
2
votes
1answer
646 views

Why doesn't “rvm install ruby-head” do anything?

I just clean installed my ubuntu 10.10, then i installed some necessary packages and then rvm, but when I write the rvm install ruby-head command, then it's just like y press enter on the shell, ...